'use strict';

var RoadieBedrockAugmenter = require('./RoadieBedrockAugmenter.cjs.js');

async function initializeBedrockEmbeddings({
  logger,
  auth,
  vectorStore,
  catalogApi,
  discovery,
  config,
  options
}) {
  logger.info("Initializing Roadie AWS Bedrock Embeddings");
  const bedrockConfig = config.get("ai.embeddings.bedrock");
  const embeddingsOptions = config.getOptionalConfig("ai.embeddings");
  const augmentationOptions = {};
  if (embeddingsOptions) {
    augmentationOptions.chunkSize = embeddingsOptions.getOptionalNumber("chunkSize");
    augmentationOptions.chunkOverlap = embeddingsOptions.getOptionalNumber("chunkOverlap");
    augmentationOptions.concurrencyLimit = embeddingsOptions.getOptionalNumber("concurrencyLimit");
  }
  return new RoadieBedrockAugmenter.RoadieBedrockAugmenter({
    vectorStore,
    catalogApi,
    discovery,
    logger,
    auth,
    options,
    bedrockConfig,
    augmentationOptions
  });
}

exports.initializeBedrockEmbeddings = initializeBedrockEmbeddings;
//# sourceMappingURL=index.cjs.js.map
